<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionQuestObjectiveDelivery Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/da4/a06706.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionQuestObjectiveDelivery Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aac002cc272d89287f850c84b89256356"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#aac002cc272d89287f850c84b89256356">SetAmount</a> (int amount)</td></tr>
<tr class="separator:aac002cc272d89287f850c84b89256356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28dcac8fc8d32ab43a18c90c940efa8b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#a28dcac8fc8d32ab43a18c90c940efa8b">GetAmount</a> ()</td></tr>
<tr class="separator:a28dcac8fc8d32ab43a18c90c940efa8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d257a829ca38ec80277a1adb05261e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#a5d257a829ca38ec80277a1adb05261e0">SetClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> <a class="el" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>)</td></tr>
<tr class="separator:a5d257a829ca38ec80277a1adb05261e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9e7e4db047b11f4a2c56ea726e4d981"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#ad9e7e4db047b11f4a2c56ea726e4d981">GetClassName</a> ()</td></tr>
<tr class="separator:ad9e7e4db047b11f4a2c56ea726e4d981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc922f3e174d4c922d6fc907a450e44f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#acc922f3e174d4c922d6fc907a450e44f">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:acc922f3e174d4c922d6fc907a450e44f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c030333b225bfcd917474f8bf866eca"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#a6c030333b225bfcd917474f8bf866eca">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:a6c030333b225bfcd917474f8bf866eca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04eb5e438d39c69fcb439de648801ca9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#a04eb5e438d39c69fcb439de648801ca9">QuestDebug</a> ()</td></tr>
<tr class="separator:a04eb5e438d39c69fcb439de648801ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a4c23b649f3156f48ecaa9d6d4b4ce894"><td class="memItemLeft" align="right" valign="top">protected int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#a4c23b649f3156f48ecaa9d6d4b4ce894">Amount</a> = -1</td></tr>
<tr class="separator:a4c23b649f3156f48ecaa9d6d4b4ce894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51e8da5f63928c61a3f988229c8662d6"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/da4/a06706.html#a51e8da5f63928c61a3f988229c8662d6">ClassName</a> = string.Empty</td></tr>
<tr class="separator:a51e8da5f63928c61a3f988229c8662d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/d95/a02267.html">ExpansionQuestObjectiveDelivery.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00013">13</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a28dcac8fc8d32ab43a18c90c940efa8b" name="a28dcac8fc8d32ab43a18c90c940efa8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28dcac8fc8d32ab43a18c90c940efa8b">&#9670;&#160;</a></span>GetAmount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveDelivery::GetAmount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00023">23</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<a id="ad9e7e4db047b11f4a2c56ea726e4d981" name="ad9e7e4db047b11f4a2c56ea726e4d981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9e7e4db047b11f4a2c56ea726e4d981">&#9670;&#160;</a></span>GetClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestObjectiveDelivery::GetClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00033">33</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<a id="a6c030333b225bfcd917474f8bf866eca" name="a6c030333b225bfcd917474f8bf866eca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c030333b225bfcd917474f8bf866eca">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveDelivery::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00044">44</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<a id="acc922f3e174d4c922d6fc907a450e44f" name="acc922f3e174d4c922d6fc907a450e44f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc922f3e174d4c922d6fc907a450e44f">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveDelivery::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00038">38</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<a id="a04eb5e438d39c69fcb439de648801ca9" name="a04eb5e438d39c69fcb439de648801ca9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04eb5e438d39c69fcb439de648801ca9">&#9670;&#160;</a></span>QuestDebug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveDelivery::QuestDebug </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00055">55</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<a id="aac002cc272d89287f850c84b89256356" name="aac002cc272d89287f850c84b89256356"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac002cc272d89287f850c84b89256356">&#9670;&#160;</a></span>SetAmount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveDelivery::SetAmount </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>amount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00018">18</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<a id="a5d257a829ca38ec80277a1adb05261e0" name="a5d257a829ca38ec80277a1adb05261e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d257a829ca38ec80277a1adb05261e0">&#9670;&#160;</a></span>SetClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveDelivery::SetClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00028">28</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4c23b649f3156f48ecaa9d6d4b4ce894" name="a4c23b649f3156f48ecaa9d6d4b4ce894"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c23b649f3156f48ecaa9d6d4b4ce894">&#9670;&#160;</a></span>Amount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected int ExpansionQuestObjectiveDelivery::Amount = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00015">15</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<a id="a51e8da5f63928c61a3f988229c8662d6" name="a51e8da5f63928c61a3f988229c8662d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51e8da5f63928c61a3f988229c8662d6">&#9670;&#160;</a></span>ClassName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestObjectiveDelivery::ClassName = string.Empty</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/a02267_source.html#l00016">16</a> of file <a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/questobjectiveconfigs/classes/<a class="el" href="../../d5/d95/a02267_source.html">expansionquestobjectivedelivery.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/da4/a06706.html">ExpansionQuestObjectiveDelivery</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
